Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 30414

Summary: vpopmail 5.2.1 typos in original vmysql.h file
Product: Gentoo Linux Reporter: Scott Taylor (RETIRED) <swtaylor>
Component: New packagesAssignee: Net-Mail Packages <net-mail>
Status: VERIFIED FIXED    
Severity: normal    
Priority: High    
Version: 1.4   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: patch the #define at line 54 and 58 of vmysql.h for vpopmail-5.2.1

Description Scott Taylor (RETIRED) gentoo-dev 2003-10-05 11:54:08 UTC
lines 54 and 58 of vmysql.h are missing the tailing backslash. compiling fails
on my system regardless of the mysql use flag. surprised this has not been a
showstopper for anyone else. i've added these backslashes into the
vpopmail-5.2.1.tar.gz in my distfiles directory and regenerated the digest to
get it to compile - which it does just fine after that fix. -r6 of this ebuild
is the first one i tried to compile on this system, so i cant say for sure its
been around longer than that, but -r7 has this same problem for me too. i have
been using gcc 3.3.1

Reproducible: Always
Steps to Reproduce:

Actual Results:  
In file included from vauth.c:32:
vmysql.h:58:8: warning: extra tokens at end of #endif directive
vmysql.h:79:22: missing terminating " character
vmysql.h:86:35: missing terminating " character
vauth.c:1496:8: warning: extra tokens at end of #endif directive
gcc -I. -I/usr/include/mysql      -O3 -march=athlon-xp -funroll-loops
-fprefetch-loop-arrays -pipe -Wall -c file_lock.c
gcc -I. -I/usr/include/mysql      -O3 -march=athlon-xp -funroll-loops
-fprefetch-loop-arrays -pipe -Wall -c vpalias.c
make[2]: *** [vauth.o] Error 1
Comment 1 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2003-10-08 15:27:13 UTC
fixed in CVS.
this was a gcc3.3 issue.
Comment 2 kiuma 2003-10-11 10:06:08 UTC
Created attachment 19107 [details, diff]
patch the #define at line 54 and 58 of vmysql.h for vpopmail-5.2.1

This patch correct the bug
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2003-10-13 20:28:49 UTC
kiuma@wingstech.com: it is already fixed!
net-mail/vpopmail/files/vpopmail-5.2.1-gcc33mysql.diff
is my patch.